using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Files
{
    class Example12
    {
        /*
         * Tylko do celów demonstracyjnych
         * Listing 16-12
            public FileStream(string path, FileMode mode)
            public FileStream(string path, FileMode mode, FileAccess access)
            public FileStream(string path, FileMode mode, FileAccess access,
                FileShare share)
            public FileStream(string path, FileMode mode, FileAccess access,
                FileShare share, int bufferSize);
            public FileStream(string path, FileMode mode, FileAccess access,
                FileShare share, int bufferSize, bool useAsync);
            public FileStream(string path, FileMode mode, FileAccess access,
                FileShare share, int bufferSize, FileOptions options);
            public FileStream(string path, FileMode mode, FileSystemRights rights,
                FileShare share, int bufferSize, FileOptions options);
            public FileStream(string path, FileMode mode, FileSystemRights rights,
                FileShare share, int bufferSize, FileOptions options,
                FileSecurity fileSecurity);
         */
    }
}
